/******************************************************************
*  源程序名：ModelTask6_2_1.cpp                　　　　　　       *
*  功能：用自定义函数求5个实数的平均值　　　　　　　　　　　　　　*
*******************************************************************/
#include <iostream.h>
float aver(float arr[]); //求平均值函数的原型声明
void main()
{
	float a[5];//声明具有5个float型元素的数组a
	float ave;//用于存放平均值
	int i;//循环控制变量
	cout<<"请输入5个实数：";
	for (i=0;i<5;i++)
	{
		cin>>a[i];
	}
	ave=aver(a);//用数组名作参数，调用自定义函数
	cout<<"平均值是："<<ave<<endl;
}
float aver(float arr[])//函数实现
{
	float sum=0,average;//用于存放数组arr中10个元素的和与平均值
	int i;
	for (i=0;i<5;i++)
	{
		sum+=arr[i];
	}
	average=sum/5;
	return average;//返回平均值
}
